pydo.registries.get_options()
Generated on 16 Jan 2026
from pydo version
v0.24.0
Description
This endpoint serves to provide additional information as to which option values are available when creating a container registry.
There are multiple subscription tiers available for container registry. Each tier allows a different number of image repositories to be created in your registry, and has a different amount of storage and transfer included.
There are multiple regions available for container registry and controls where your data is stored.
To list the available options, send a GET request to /v2/registries/options. This is similar to GET /v2/registry/options.
Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
resp = client.registries.get_options()More Information
See the API spec for this endpoint to view additional detail on responses, headers, parameters, and more.